For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sent Messages

Get Sent Message

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outboundIdstringRequired
Query parameters
isMMSstringRequired
Responses
200

Success

application/json
get/sent-messages/{outboundId}
GET /v3/sent-messages/{outboundId}?isMMS=text HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "id": 1,
    "recipients": [
      "text"
    ],
    "message": "text",
    "url": "text",
    "timestamp": "text",
    "error": "text",
    "sentById": 1,
    "sentBy": "text",
    "threadId": 1,
    "externalId": "text",
    "fromNumber": 1,
    "isMMS": true,
    "longcodeId": 1,
    "allSubscribers": true,
    "groupIds": [
      1
    ],
    "subscriberIds": [
      1
    ],
    "creditsUsed": 1,
    "recipientCount": 1,
    "emailRecipientCount": 1,
    "deliveryCountSummary": {
      "sendingCount": 1,
      "sentCount": 1,
      "deliveredCount": 1,
      "landlineCount": 1,
      "invalidNumberCount": 1,
      "rejectedByCarrierCount": 1,
      "blockedCount": 1,
      "unconfirmedCount": 1
    },
    "creditBreakdown": {
      "ANY_ADDITIONAL_PROPERTY": {
        "creditsUsed": 1,
        "recipientCount": 1
      }
    },
    "campaignId": 1,
    "autoTriggered": 1
  }
}

List Sent Messages

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumberOptional
pageSizenumberOptional
sortDirectionstring · enumOptionalPossible values:
querystringOptional
sortBystringOptional
typestringOptional
sentBystringOptional
hideAutomatedRepliesbooleanOptional
Responses
200

Success

application/json
get/sent-messages
GET /v3/sent-messages HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "rows": [
      {
        "id": 1,
        "message": "text",
        "url": "text",
        "isMMS": true,
        "recipientDescription": "text",
        "timestamp": "2026-01-01T00:00:00.000Z",
        "sentBy": "text",
        "autoTriggered": true,
        "recipientCount": 1,
        "creditsUsed": 1,
        "messagesSent": 1,
        "externalId": "text",
        "fromNumber": 1,
        "emailRecipientCount": 1,
        "processedCount": 1,
        "groups": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "source": "control-panel",
        "senderName": "text"
      }
    ],
    "page": 1,
    "pageSize": 1,
    "total": 1
  }
}

Get Sent Message Analytics

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outboundIdstringRequired
Query parameters
timespanstringOptional
Responses
200

Success

application/json
get/sent-messages/{outboundId}/analytics
GET /v3/sent-messages/{outboundId}/analytics HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "recipientCount": 1,
    "linkId": 1,
    "clickCount": 1,
    "replyCount": 1,
    "unsubscribeCount": 1,
    "trackingEnabled": true,
    "timespanAnalytics": [
      {
        "ANY_ADDITIONAL_PROPERTY": {
          "clickCount": 1,
          "replyCount": 1,
          "unsubscribeCount": 1
        }
      }
    ],
    "campaign": {
      "id": 1,
      "name": "text"
    }
  }
}

List Sent Messages Reply

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outboundIdstringRequired
Query parameters
pagenumberOptional
pageSizenumberOptional
sortBystringOptional
sortDirectionstring · enumOptionalPossible values:
querystringOptional
Responses
200

Success

application/json
get/sent-messages/{outboundId}/replies
GET /v3/sent-messages/{outboundId}/replies HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "rows": [
      {
        "message": "text",
        "number": 1,
        "replyDate": "2026-01-01T00:00:00.000Z",
        "subscriberId": 1,
        "fromNumber": 1,
        "attachmentUrl": "text",
        "senderName": "text",
        "carrier": "text",
        "messageProfile": "text"
      }
    ],
    "page": 1,
    "pageSize": 1,
    "total": 1
  }
}

Get Sent Message Geo Analytics

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outboundIdstringRequired
Query parameters
pagenumberOptional
pageSizenumberOptional
sortBystringOptional
sortDirectionstring · enumOptionalPossible values:
querystringOptional
Responses
200

Success

application/json
get/sent-messages/{outboundId}/geo-analytics
GET /v3/sent-messages/{outboundId}/geo-analytics HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "rows": [
      {
        "id": 1,
        "area": "text",
        "areaCodes": [
          "text"
        ],
        "sentCount": 1,
        "clickCount": 1,
        "replyCount": 1,
        "unsubscribeCount": 1
      }
    ],
    "page": 1,
    "pageSize": 1,
    "total": 1,
    "hasShortLink": true
  }
}

Get Sent Message Responder Ids

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outboundIdstringRequired
Responses
200

Success

application/json
get/sent-messages/{outboundId}/replies/subscriber-ids
GET /v3/sent-messages/{outboundId}/replies/subscriber-ids HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": [
    {
      "subscriberId": 1
    }
  ]
}

Get Delivery Report

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outboundIdstringRequired
Query parameters
pagenumberOptional
pageSizenumberOptional
sortDirectionstring · enumOptionalPossible values:
querystringOptional
sortBystringOptional
Responses
200

Success

application/json
get/sent-messages/{outboundId}/delivery-report
GET /v3/sent-messages/{outboundId}/delivery-report HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "rows": [
      {
        "id": 1,
        "firstName": "text",
        "lastName": "text",
        "number": "text",
        "email": "text",
        "deliveryStatus": "text"
      }
    ],
    "page": 1,
    "pageSize": 1,
    "total": 1
  }
}

Last updated

Was this helpful?